View Issue Details

IDProjectCategoryView StatusLast Update
0016570mantisbtbugtrackerpublic2014-12-08 02:08
Reporteratrol Assigned Tograngeway  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.0dev 
Target Version1.3.0-beta.1 
Summary0016570: Page content in 'Report Issue' is forgotten when user clicks [Back] button in browser
Description

When I write a new bug report but forgot to select a Category first, I am informed by an alert page immediately after I have clicked on [Submit Report] that I have forgotten to select a category. I am advised to click the [Back] button in my browser in order to complete my bug report.

But after I do this, Mantis just offers a blank report page - all of my previously entered bug report content is forgotten.

Additional Information

Reproducible on FF 24 and 25. (no problems with MantisBT 1.2.15)
Not reproducible with Safari Version 7.0 (9537.71)

TagsNo tags attached.

Relationships

related to 0009366 closedryandesign Page content in 'Report Issue' is forgotten when user clicks [Back] button in browser 
related to 0009813 acknowledged Redesign forms in Mantis to not need the Back Button for mistakes. 
related to 0009323 closedjreese Browser caching broken since 1.1.2 

Activities

grangeway

grangeway

2014-06-01 16:51

reporter   ~0040694

This occurs on:

a) Firefox 29.01
b) IE 11

This does not occur on

c) Google Chrome 35

grangeway

grangeway

2014-06-01 17:01

reporter   ~0040695

PR Request has been generated for this issue as follows:

Fix 0016570: Page content is forgotten when user clicks [Back] button

By default we disable $g_allow_browser_cache in all circumstances.

The config value is commented out in config_defaults.inc.php. In fact, thraxisp
added the config option in 2005 in the commented out state.

It would appear the DHX re-ordered this call when implemented require_api

The above code is only in 1.3 and not in the 1.2 series, so the above fix should
be safe to apply.

We probably need to consider whether we actually want to remove this configuration option

After all, it's a configuration option we've probably never had anyone use in 5 years
so I expect that the value of it is rather....

grangeway

grangeway

2014-06-01 17:05

reporter   ~0040696

Pull Request Link for this issue: https://github.com/mantisbt/mantisbt/pull/202

Related Changesets

MantisBT: master d508493a

2014-06-01 17:04:34

Paul Richards

Details Diff
Fix 0016570: Page content is forgotten when user clicks [Back] button

By default we disable $g_allow_browser_cache in all circumstances.

The config value is commented out in config_defaults.inc.php. In fact, thraxisp
added the config option in 2005 in the commented out state.

It would appear the DHX re-ordered this call when implemented require_api
- see:

https://github.com/mantisbt/mantisbt/commit/2d5455cce290531359a55d353010258c6f3f6f34

The above code is only in 1.3 and not in the 1.2 series, so the above fix should
be safe to apply.

We probably need to consider whether we actually want to remove this configuration option

After all, it's a configuration option we've probably never had anyone use in 5 years
so I expect that the value of it is rather....
Affected Issues
0016570
mod - bug_change_status_page.php Diff File
mod - bug_report_page.php Diff File
mod - bug_update_page.php Diff File

Issue History

Date Modified Username Field Change
2013-11-02 04:41 atrol New Issue
2013-11-02 04:41 atrol Issue generated from: 0009366
2013-11-02 04:41 atrol Relationship added related to 0009366
2013-11-02 04:44 atrol Additional Information Updated View Revisions
2013-11-02 04:44 atrol Relationship added related to 0009813
2013-11-02 04:45 atrol Relationship added related to 0009323
2014-06-01 16:28 grangeway Assigned To => grangeway
2014-06-01 16:28 grangeway Status new => assigned
2014-06-01 16:51 grangeway Note Added: 0040694
2014-06-01 17:01 grangeway Note Added: 0040695
2014-06-01 17:05 grangeway Note Added: 0040696
2014-07-14 15:18 Changeset attached => MantisBT master d508493a
2014-07-14 15:18 anonymous Status assigned => resolved
2014-07-14 15:18 anonymous Resolution open => fixed
2014-07-14 15:18 anonymous Fixed in Version => 1.3.0-beta.1
2014-11-10 11:09 vboctor Fixed in Version 1.3.0-beta.1 =>
2014-12-08 02:08 atrol Status resolved => closed